QGIS Application - Feature request #19875
Deleting multiple GPKG tables from Browser only deletes a single table
2018-09-18 08:59 AM - Jérdme Guélat

Status: Closed

Priority: High

Assignee:

Category: Browser

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 27699
Description

It would be really nice to be able to delete several GeoPackage tables simultaneously in the browser using the following workflow:
1. Select several tables in a GeoPackage
2. Right-click and choose delete layers

3. All the selected tables are deleted

Thanks in advance!

History

#1 - 2018-09-25 09:12 AM - Alessandro Pasotti

- Crashes QGIS or corrupts data set to No

- Regression? set to No

- Subject changed from Browser: delete several GeoPackage tables with one click to Deleting multiple GPKG tables from Browser only deletes a single
table

- Assignee set to Alessandro Pasotti

- Affected QGIS version set to 3.3(master)

- Tracker changed from Feature request to Bug report

This is actually a bug: when you select multiple tables from the browser only the layer where the right click happened is deleted.

#2 - 2018-09-25 11:10 AM - Alessandro Pasotti
- Tracker changed from Bug report to Feature request

- Priority changed from Normal to High

btw, it's not trivial implementation and it would require API changes because currently all actions associated with the contextual menu have no knowledge
of selected items in the browser tree and we'd need to pass them down the call stack.

I'm setting it back to feature request but raising the priority to high.

#3 - 2018-11-06 10:24 AM - David Signer

Are you working on that Alessandro? Do you want to keep it?
Otherwise | could probably care about in the next days/weeks...

#4 - 2018-11-06 10:35 AM - Alessandro Pasotti
No, I'm busy on other stuff, please go ahead, now it's definitely possible (and much easier) to implement this, after Nyall's recent small refactoring of the

browser data item providers.

Thanks!

#5 - 2018-11-06 10:35 AM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

#6 - 2019-02-05 10:08 PM - Nyall Dawson

- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in 3.6
